package net.northking.cctp.se.script.core;

import net.northking.cctp.se.log.bean.StepLog;

/**
 * 脚本运行时监听器
 */
public interface ScriptRuntimeListener {
    void doLog(IScriptRuntimeContext context, String level, String msg);

    void doLog(IScriptRuntimeContext context, StepLog steplog);

    void doReply(IScriptRuntimeContext context,StepExecuteResult result);

    void doReply(IScriptRuntimeContext context, String cmd, String level, Object obj);
}
